com.smartgwt.client.widgets

## Class ImgProperties

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.ImgProperties

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class ImgProperties
      extends DataClass

  A set of properties that can be used to create an image.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImgProperties()`
    `ImgProperties(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `ImgProperties(java.lang.String src, int width, int height)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEventStuff()` Specifies the additional event-related attributes to write in the tag.
    `java.lang.String` | `getExtraStuff()` Specifies the additional attributes to write in the tag.
    `java.lang.Integer` | `getHeight()` Specifies the height of the image.
    `java.lang.String` | `getImgDir()` Specifies the image-specific image directory to override the default.
    `java.lang.String` | `getName()` Specifies the name of the image.
    `static ImgProperties` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getSrc()` Specifies the URL of the image local to the skin or application directory.
    `java.lang.Integer` | `getWidth()` Specifies the width of the image.
    `void` | `setEventStuff(java.lang.String eventStuff)` Specifies the additional event-related attributes to write in the tag.
    `void` | `setExtraStuff(java.lang.String extraStuff)` Specifies the additional attributes to write in the tag.
    `void` | `setHeight(java.lang.Integer height)` Specifies the height of the image.
    `void` | `setImgDir(java.lang.String imgDir)` Specifies the image-specific image directory to override the default.
    `void` | `setName(java.lang.String name)` Specifies the name of the image.
    `void` | `setSrc(java.lang.String src)` Specifies the URL of the image local to the skin or application directory.
    `void` | `setWidth(java.lang.Integer width)` Specifies the width of the image.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImgProperties

          public ImgProperties()

    - #### ImgProperties

          public ImgProperties(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### ImgProperties

          public ImgProperties(java.lang.String src,
                               int width,
                               int height)

  - ### Method Detail

    - #### getOrCreateRef

          public static ImgProperties getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setEventStuff

          public void setEventStuff(java.lang.String eventStuff)

      Specifies the additional event-related attributes to write in the tag.
      Parameters:
        `eventStuff` - New eventStuff value. Default value is null
      See Also:
        `setExtraStuff(java.lang.String)`

    - #### getEventStuff

          public java.lang.String getEventStuff()

      Specifies the additional event-related attributes to write in the tag.
      Returns:
        Current eventStuff value. Default value is null
      See Also:
        `getExtraStuff()`

    - #### setExtraStuff

          public void setExtraStuff(java.lang.String extraStuff)

      Specifies the additional attributes to write in the tag. Event-related attributes should be added to `eventStuff` instead to guarantee proper behavior when using SVG images.
      Parameters:
        `extraStuff` - New extraStuff value. Default value is null

    - #### getExtraStuff

          public java.lang.String getExtraStuff()

      Specifies the additional attributes to write in the tag. Event-related attributes should be added to `eventStuff` instead to guarantee proper behavior when using SVG images.
      Returns:
        Current extraStuff value. Default value is null

    - #### setHeight

          public void setHeight(java.lang.Integer height)

      Specifies the height of the image.
      Parameters:
        `height` - New height value. Default value is null

    - #### getHeight

          public java.lang.Integer getHeight()

      Specifies the height of the image.
      Returns:
        Current height value. Default value is null

    - #### setImgDir

          public void setImgDir(java.lang.String imgDir)

      Specifies the image-specific image directory to override the default.
      Parameters:
        `imgDir` - New imgDir value. Default value is null
      See Also:
        `URL`

    - #### getImgDir

          public java.lang.String getImgDir()

      Specifies the image-specific image directory to override the default.
      Returns:
        Current imgDir value. Default value is null
      See Also:
        `URL`

    - #### setName

          public void setName(java.lang.String name)

      Specifies the name of the image. This is an identifier unique to the canvas, and subsequent calls to ``Canvas.getImage()`` and ``Canvas.setImage()`` with this name will act on the image object created using this ImgProperties object.
      Parameters:
        `name` - New name value. Default value is null

    - #### getName

          public java.lang.String getName()

      Specifies the name of the image. This is an identifier unique to the canvas, and subsequent calls to ``Canvas.getImage()`` and ``Canvas.setImage()`` with this name will act on the image object created using this ImgProperties object.
      Returns:
        Current name value. Default value is null

    - #### setSrc

          public void setSrc(java.lang.String src)

      Specifies the URL of the image local to the skin or application directory.
      Parameters:
        `src` - New src value. Default value is null
      See Also:
        `URL`

    - #### getSrc

          public java.lang.String getSrc()

      Specifies the URL of the image local to the skin or application directory.
      Returns:
        Current src value. Default value is null
      See Also:
        `URL`

    - #### setWidth

          public void setWidth(java.lang.Integer width)

      Specifies the width of the image.
      Parameters:
        `width` - New width value. Default value is null

    - #### getWidth

          public java.lang.Integer getWidth()

      Specifies the width of the image.
      Returns:
        Current width value. Default value is null